package cat.altcamp.altcapp;

import android.app.Activity;

import android.app.ActionBar;
//import android.app.Fragment;
import android.app.FragmentManager;
import android.content.Intent;
import android.support.v4.app.FragmentActivity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentTransaction;
import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.support.v4.widget.DrawerLayout;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.parse.Parse;
import com.parse.ParseACL;
import com.parse.ParseAnalytics;
import com.parse.ParseUser;



public class MyActivity extends FragmentActivity
        implements NavigationDrawerFragment.NavigationDrawerCallbacks {
    final String[] fragments ={
            "cat.altcamp.altcapp.destacats",
            "cat.altcamp.altcapp.municipis_restaurants",
            "cat.altcamp.altcapp.municipis_allotjaments",
            "cat.altcamp.altcapp.llista_que_fer",
            "cat.altcamp.altcapp.llista_rutes",
            "cat.altcamp.altcapp.dades_interes",
            "cat.altcamp.altcapp.contacte"};
    /**
     * Fragment managing the behaviors, interactions and presentation of the navigation drawer.
     */
    private NavigationDrawerFragment mNavigationDrawerFragment;

    /*
     Used to store the last screen title. For use in {@link #restoreActionBar()}.
     */
    private CharSequence mTitle;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_my);


        Parse.initialize(this, "WsWbn6dwitwibHEOLJvCG2vmCb8EA08rLF8yLjX1", "ysuakTH4YXMtfUSNdP3F6XIbivRmrw4l2XO2kyAG");

        mNavigationDrawerFragment = (NavigationDrawerFragment)
        getFragmentManager().findFragmentById(R.id.navigation_drawer);
        mTitle = getTitle();

        // Set up the drawer.
        mNavigationDrawerFragment.setUp(
                R.id.navigation_drawer,
                (DrawerLayout) findViewById(R.id.drawer_layout));
    }

    @Override
    public void onNavigationDrawerItemSelected(int position) {


        android.support.v4.app.FragmentManager fm=getSupportFragmentManager();

        FragmentTransaction tx = fm.beginTransaction();

         switch (position) {
            case 0:
                mTitle = getString(R.string.title_section1);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.commit();
                break;
            case 1:
                mTitle = getString(R.string.title_section2);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.commit();
                break;
            case 2:
                mTitle = getString(R.string.title_section3);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.addToBackStack("inici");
                tx.commit();
               break;
            case 3:
                mTitle = getString(R.string.title_section4);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.commit();
                break;
            case 4:
                mTitle = getString(R.string.title_section5);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.commit();
                break;
            case 5:
                mTitle = getString(R.string.title_section6);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.commit();
                break;
            case 6:
                mTitle = getString(R.string.title_section7);
                tx.replace(R.id.container, Fragment.instantiate(MyActivity.this, fragments[position]));
                tx.commit();
                break;
        }

    }

    public void onSectionAttached(int number) {
        switch (number) {
            case 1:
                mTitle = getString(R.string.title_section1);
                break;
            case 2:
                mTitle = getString(R.string.title_section2);
                break;
            case 3:
                mTitle = getString(R.string.title_section3);
                break;
            case 4:
                mTitle = getString(R.string.title_section4);
                break;
            case 5:
                mTitle = getString(R.string.title_section5);
                break;
            case 6:
                mTitle = getString(R.string.title_section6);
                break;
            case 7:
                mTitle = getString(R.string.title_section7);
                break;
        }
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        if (!mNavigationDrawerFragment.isDrawerOpen()) {

            getMenuInflater().inflate(R.menu.my, menu);

            return true;
        }
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    /**
     * A placeholder fragment containing a simple view.
     */
    public static class PlaceholderFragment extends Fragment {
        /**
         * The fragment argument representing the section number for this
         * fragment.
         */
        private static final String ARG_SECTION_NUMBER = "section_number";

        /**
         * Returns a new instance of this fragment for the given section
         * number.
         */
        public static PlaceholderFragment newInstance(int sectionNumber) {
            PlaceholderFragment fragment = new PlaceholderFragment();
            Bundle args = new Bundle();
            args.putInt(ARG_SECTION_NUMBER, sectionNumber);
            fragment.setArguments(args);
            return fragment;
        }

        public PlaceholderFragment() {
        }

        @Override
        public View onCreateView(LayoutInflater inflater, ViewGroup container,
                Bundle savedInstanceState) {
            View rootView = inflater.inflate(R.layout.fragment_my, container, false);
            return rootView;
        }

        @Override
        public void onAttach(Activity activity) {
            super.onAttach(activity);
            ((MyActivity) activity).onSectionAttached(
                    getArguments().getInt(ARG_SECTION_NUMBER));
        }
    }

}
