package cat.altcamp.altcapp;

import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;

import com.parse.FindCallback;
import com.parse.GetDataCallback;
import com.parse.ParseException;
import com.parse.ParseFile;
import com.parse.ParseImageView;
import com.parse.ParseObject;
import com.parse.ParseQuery;

import java.util.Arrays;
import java.util.List;

/**
 * Created by Miquel on 05/11/2014.
 */
public class detall_allotjament extends Fragment{

    private static String[] fila = new String[60];
    private static ParseFile[] imatges = new ParseFile[60];


    public static detall_allotjament newInstance(Context context) {

        detall_allotjament f = new detall_allotjament();

        return f;
    }

    public detall_allotjament(){
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {

        ParseFile[] img;

        final ViewGroup root = (ViewGroup) inflater.inflate(R.layout.detall_allotjament, null);
        Bundle bundle = getArguments();

        String nom = bundle.getString("nom");
        String tipus = bundle.getString("tipus");

        final ProgressDialog DialogCargando = new ProgressDialog(getActivity());
        DialogCargando.setMessage("Carregant allotjaments... Esperi, si us plau. " + nom);
        DialogCargando.show();

        ParseQuery<ParseObject> query2 = ParseQuery.getQuery(tipus);

        query2.whereEqualTo("nom", nom);

        query2.findInBackground(new FindCallback<ParseObject>() {
            public void done(List<ParseObject> ofertas, ParseException e) {
                int a=0;
                DialogCargando.dismiss();

                if (e == null) {
                    if (ofertas.size() > 0) {
                        a = 0;
                        for (int i = 0; i < ofertas.size(); i++) {

                            try{
                                fila[0] = ofertas.get(i).get("nom").toString();
                            }catch (NullPointerException  ex ){
                                fila[0] ="nom no disponible";
                            }
                            try{
                                fila[1] = ofertas.get(i).get("telefon").toString();
                            }catch (NullPointerException  ex ){
                               fila[1] ="tlf no disponible";
                            }
                            try{
                                fila[2] = ofertas.get(i).get("latitud").toString();
                            }catch (NullPointerException  ex ){
                                fila[2] ="0";
                            }
                            try{
                                fila[3] = ofertas.get(i).get("longitud").toString();
                            }catch (NullPointerException  ex ){
                                fila[3] ="0";
                            }
                            try{
                                fila[4] = ofertas.get(i).get("adreca").toString();
                            }catch (NullPointerException  ex ){
                                fila[4] ="Adreça no disponible";
                            }
                            try{
                                fila[5] = ofertas.get(i).get("id_municipi").toString();
                            }catch (NullPointerException  ex ){
                                fila[5] ="municipi no disponible";
                            }
                            try{
                                fila[6] = ofertas.get(i).get("cp").toString();
                            }catch (NullPointerException  ex ){
                                fila[6] ="cp no disponible";
                            }
                            try{
                                fila[7] = ofertas.get(i).get("web").toString();
                            }catch (NullPointerException  ex ){
                                fila[7] ="web no disponible";
                            }
                            try{
                                fila[8] = ofertas.get(i).get("mail").toString();
                            }catch (NullPointerException  ex ){
                                fila[8] ="mail no disponible";
                            }

                            try{
                                imatges[i] = ofertas.get(i).getParseFile("imatge");
                            }catch (NullPointerException  ex ){

                            }
                            a++;

                        }

                        TextView texto = (TextView) root.findViewById(R.id.texto);
                        texto.setText(fila[0]);
                        TextView texto2 = (TextView) root.findViewById(R.id.textView2);
                        texto2.setText(fila[4]);
                        TextView texto3 = (TextView) root.findViewById(R.id.textView3);
                        texto3.setText(fila[6]);
                        TextView texto4= (TextView) root.findViewById(R.id.textView4);
                        texto4.setText(fila[5]);
                        TextView texto5 = (TextView) root.findViewById(R.id.textView5);
                        texto5.setText(fila[1]);
                        TextView texto6 = (TextView) root.findViewById(R.id.textView6);
                        texto6.setText(fila[7]);
                        TextView texto7 = (TextView) root.findViewById(R.id.textView7);
                        texto7.setText(fila[8]);


                        ParseImageView imageView = (ParseImageView) root.findViewById(R.id.imageView);
                        imageView.setParseFile(imatges[0]);

                        imageView.loadInBackground(new GetDataCallback() {
                            public void done(byte[] data, ParseException e) {

                                // The image is loaded and displayed!
                            } });




                    } else {
                        Toast.makeText(getActivity(), "Aquest municipi no té allotjaments!",
                                Toast.LENGTH_LONG).show();
                    }

                } else {
                    DialogCargando.dismiss();
                    Toast.makeText(getActivity(), "Error en la connexió a la base de dades!",
                            Toast.LENGTH_LONG).show();
                }
            }

        });


        return root;
    }


}
