package cat.altcamp.altcapp;


import android.location.Location;
import android.support.v4.app.FragmentManager;
import android.content.Intent;
import android.net.Uri;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;
import android.support.v4.app.ListFragment;
import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;
import com.parse.FindCallback;
import com.parse.ParseException;
import com.parse.ParseFile;
import com.parse.ParseObject;
import com.parse.ParseQuery;
import java.util.Arrays;
import java.util.List;



public class allotjaments extends ListFragment{

    private static String[][] fila = new String[200][60];
    private static int a=0;
    private static ParseFile[] imatges = new ParseFile[200];
    private static Boolean propers =false;

    private static String[][] b ;
    private static ParseFile[] c ;
    private static localitzacio gps=null;

    public static allotjaments newInstance(Bundle arguments) {
        allotjaments f = new allotjaments();
        if(arguments != null){

            f.setArguments(arguments);
        }
        return f;
    }

    public allotjaments(){

    }


    public void inici_mapa(FragmentActivity act, String [][] dades, int position, Context c) {

        double[] pos = new double[2];
        pos[0]=Double.parseDouble(dades[position][2]);
        pos[1]=Double.parseDouble(dades[position][3]);

        Log.e("mapa", "dades[position][2]");
        if ((dades[position][2]=="0")&(dades[position][3]=="0")){
            Toast.makeText(c, "No disposem de coordenades d'aquest establiment!",
                        Toast.LENGTH_LONG).show();
         }else{

            Intent intent = new Intent(act, MapsActivity.class);
            intent.putExtra("posicio",pos);
            intent.putExtra("nom",dades[position][0]);
            act.startActivity(intent);
        }

    }
    public void inici_trucada(FragmentActivity act, String [][] dades, int position) {

         Uri uri = Uri.parse("tel:"+dades[position][1]);
        Intent intent = new Intent(Intent.ACTION_VIEW, uri);
        act.startActivity(intent);
    }
    public void inici_fragment_detall(FragmentActivity act, String [][] dades, int position, String tipus) {
        // Needed coding.


        Fragment fragmentCUATRO = new detall_allotjament();

        Bundle args = new Bundle();
        String [] s=dades[position][0].split(" ,");

        args.putString("nom", s[0]);
        args.putString("tipus",tipus);
        fragmentCUATRO.setArguments(args);

        FragmentManager fm = act.getSupportFragmentManager();

        FragmentTransaction transaction = fm.beginTransaction();

        transaction.replace(R.id.container, fragmentCUATRO);
        transaction.addToBackStack(null);

        transaction.commit();

    }


    public void ordenar_per_distancia(){

        String[][] b_aux = new String[200][60];
        ParseFile[] c_aux = new ParseFile[200];
        int i,x,z ;
        double minim=100000000;
        int index_minim=a-1;
        double dist=0;


        localitzacio l_minim = new localitzacio(getActivity());
        localitzacio l_actual=gps;

        if (a>4){
            z=5;  //elements a mostrar
        }else{
            z=a;
        }

        for (x=0; x<z; x++){
            for (i=0+x; i<a; i++) {

                l_minim.location.setLatitude(Double.parseDouble(b[i][2]));
                l_minim.location.setLongitude(Double.parseDouble(b[i][3]));

                dist = l_actual.location.distanceTo(l_minim.location);
                if (dist < minim) {
                    minim = dist;
                    index_minim = i;
                }
            }

            double dist_km;

            dist_km=minim/1000;
            String s=Double.toString(dist_km);

            b[index_minim][0]=b[index_minim][0]+" , "+b[index_minim][5]+"\n "+ s.substring(0,5)+" km" ;

            b_aux[x]=b[index_minim];
            c_aux[x]=c[index_minim];
            b[index_minim]=b[x];
            c[index_minim]=c[x];
            b[x]=b_aux[x];
            c[x]=c_aux[x];

            minim=10000000;
          index_minim= a-1;
        }

        b = Arrays.copyOf(b, z);
        c = Arrays.copyOf(c, z);

    }


    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);

        Bundle bundle = getArguments();
        String municipi = bundle.getString("municipi");
        final String tipus = bundle.getString("tipus");

        Boolean sortir = false;
        propers=false;

        if (municipi == "MÉS PROPERS") {
             gps = new localitzacio(getActivity());
            if(gps.canGetLocation()) {
                propers = true;

            }else{
                Toast.makeText(getActivity(), "EL GPS del dispositiu està DESACTIVAT!",
                        Toast.LENGTH_LONG).show();
                sortir=true;

            }

        }

            if (!sortir) {
                final ProgressDialog DialogCargando = new ProgressDialog(getActivity());

                DialogCargando.setMessage("Carregant " + tipus + "... Esperi, si us plau. " + municipi);
                DialogCargando.show();

                ParseQuery<ParseObject> query2 = ParseQuery.getQuery(tipus);
                query2.orderByDescending("nom");
                if (!propers) query2.whereEqualTo("identificador", municipi);

                query2.findInBackground(new FindCallback<ParseObject>() {
                    public void done(List<ParseObject> ofertas, ParseException e) {

                        DialogCargando.dismiss();

                        if (e == null) {
                            if (ofertas.size() > 0) {
                                a = 0;
                                String dada;
                                for (int i = 0; i < ofertas.size(); i++) {

                                    try {
                                        fila[i][0] = ofertas.get(i).get("nom").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][0] = "nom no disponible";
                                    }
                                    try {
                                        fila[i][1] = ofertas.get(i).get("telefon").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][1] = "tlf no disponible";
                                    }
                                    try {
                                        fila[i][2] = ofertas.get(i).get("latitud").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][2] = "41.392555";
                                    }
                                    try {
                                        fila[i][3] = ofertas.get(i).get("longitud").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][3] = "2.109102";
                                    }
                                    try {
                                        fila[i][4] = ofertas.get(i).get("adreca").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][4] = "Adreça no disponible";
                                    }
                                    try {
                                        fila[i][5] = ofertas.get(i).get("id_municipi").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][5] = "Municipi no disponible";
                                    }
                                    try {
                                        fila[i][6] = ofertas.get(i).get("cp").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][6] = "cp no disponible";
                                    }
                                    try {
                                        fila[i][7] = ofertas.get(i).get("web").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][7] = "web no disponible";
                                    }
                                    try {
                                        fila[i][8] = ofertas.get(i).get("mail").toString();
                                    } catch (NullPointerException ex) {
                                        fila[i][8] = "mail  no disponible";
                                    }

                                    try {
                                        imatges[i] = ofertas.get(i).getParseFile("imatge");
                                    } catch (NullPointerException ex) {

                                    }

                                    a++;
                                }


                                b = Arrays.copyOf(fila, a);
                                c = Arrays.copyOf(imatges, a);


                                if (propers) ordenar_per_distancia();


                                setListAdapter(new adaptador_allotjaments(getActivity(), b, c, getActivity(), tipus));


                            } else {
                                Toast.makeText(getActivity(), "No hi ha" + tipus + "disponibles!",
                                        Toast.LENGTH_LONG).show();
                            }

                        } else {
                            DialogCargando.dismiss();
                            Toast.makeText(getActivity(), "Error en la connexió a la base de dades!",
                                    Toast.LENGTH_LONG).show();
                        }
                    }

                });
            }

        }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        View view = inflater.inflate(R.layout.allotjaments, container, false);

        Bundle bundle = getArguments();
        String municipi = bundle.getString("municipi");
        String tipus = bundle.getString("tipus");

        TextView texto = (TextView) view.findViewById(R.id.texto);
        texto.setText( tipus + " : " + municipi);

        return view;
    }

    public void Inicio (View view){

    }

    public void Ofertas (View view){

    }





}
