package cat.altcamp.altcapp;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;


import com.parse.FindCallback;
import com.parse.ParseException;
import com.parse.ParseFile;
import com.parse.ParseObject;
import com.parse.ParseQuery;




import android.app.Activity;
import android.support.v4.app.Fragment;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class dades_interes extends Fragment {


    private static String[][] fila = new String[60][6];
    private static int a=0;


    public static dades_interes newInstance(Bundle arguments) {
        dades_interes f = new dades_interes();
        if (arguments != null) {
            f.setArguments(arguments);
        }
        return f;
    }
    public dades_interes(){

    }

    @Override
    public View onCreateView(LayoutInflater inflater, final ViewGroup container,Bundle savedInstanceState) {

        ViewGroup root = (ViewGroup) inflater.inflate(R.layout.dades_interes, null);

        a=0;
        final ListView lv = (ListView)root.findViewById(android.R.id.list);
        final ProgressDialog DialogCargando = new ProgressDialog(getActivity());
        DialogCargando.setMessage("Carregant dades d'interès ... Esperi si us plau. ");
        DialogCargando.show();

        ParseQuery<ParseObject> query2 = ParseQuery.getQuery("dades_interes");
        query2.orderByAscending("nom");

        query2.findInBackground(new FindCallback<ParseObject>() {
            public void done(List<ParseObject> ofertas, ParseException e) {
                DialogCargando.dismiss();
                if (e == null) {
                    for (int i=0; i<ofertas.size(); i++){

                        try{
                            fila[i][0] = ofertas.get(i).get("nom").toString();
                        }catch (NullPointerException  ex ){
                            fila[i][0] ="nom no disponible";
                        }
                        try{
                            fila[i][1] = ofertas.get(i).get("adreça").toString();
                        }catch (NullPointerException  ex ){
                            fila[i][1] ="adreça no disponible";
                        }
                        try{
                            fila[i][2] = ofertas.get(i).get("municipi").toString();
                        }catch (NullPointerException  ex ){
                            fila[i][2] ="municipi no disponible";
                        }
                        try{
                            fila[i][3] = ofertas.get(i).get("telefon").toString();
                        }catch (NullPointerException  ex ){
                            fila[i][3] ="telèfon no disponible";
                        }
                        try{
                            fila[i][5] = ofertas.get(i).get("web").toString();
                        }catch (NullPointerException  ex ){
                            fila[i][5] ="web no disponible";
                        }
                        try{
                            fila[i][4] = ofertas.get(i).get("mail").toString();
                        }catch (NullPointerException  ex ){
                            fila[i][4] ="mail no disponible";
                        }

                        a++;

                    }
                    String[][] b = Arrays.copyOf(fila, a);

                    lv.setAdapter(new adaptador_dades_interes(getActivity(), b));
                }
                else {
                    DialogCargando.dismiss();
                    Toast.makeText(getActivity(), "Error en la connexió. Verifiqui la connexió, o provi-ho més tard!",
                            Toast.LENGTH_LONG).show();
                }
            }
        });

        return root;
    }

    public void Inicio (View view){

    }

    public void Ofertas (View view){

    }

}
