package cat.altcamp.altcapp;

import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;

import com.parse.FindCallback;
import com.parse.GetDataCallback;
import com.parse.ParseException;
import com.parse.ParseFile;
import com.parse.ParseImageView;
import com.parse.ParseObject;
import com.parse.ParseQuery;

import java.util.List;

/**
 * Created by Miquel on 05/11/2014.
 */
public class detall_ruta extends Fragment{

    private static String[] fila = new String[60];
    private static ParseFile[] imatges = new ParseFile[60];


    public static detall_ruta newInstance(Context context) {

        detall_ruta f = new detall_ruta();

        return f;
    }

    public detall_ruta(){
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {



        final ViewGroup root = (ViewGroup) inflater.inflate(R.layout.detall_allotjament, null);
        Bundle bundle = getArguments();

        String nom = bundle.getString("nom");


        final ProgressDialog DialogCargando = new ProgressDialog(getActivity());
        DialogCargando.setMessage("Carregant dades de la ruta..."+ nom +" Esperi, si us plau. "  );
        DialogCargando.show();

        ParseQuery<ParseObject> query2 = ParseQuery.getQuery("rutes");

        query2.whereEqualTo("nom", nom);

        query2.findInBackground(new FindCallback<ParseObject>() {
            public void done(List<ParseObject> ofertas, ParseException e) {
                int a=0;
                DialogCargando.dismiss();

                if (e == null) {
                    if (ofertas.size() > 0) {
                        a = 0;
                        for (int i = 0; i < ofertas.size(); i++) {

                            try{
                                fila[0] = ofertas.get(i).get("nom").toString();
                            }catch (NullPointerException  ex ){
                                fila[0] ="nom no disponible";
                            }
                            try{
                                fila[1] = ofertas.get(i).get("municipi").toString();
                            }catch (NullPointerException  ex ){
                               fila[1] ="municipi no disponible";
                            }
                            try{
                                fila[2] = ofertas.get(i).get("distancia").toString();
                            }catch (NullPointerException  ex ){
                                fila[2] ="tlf no disponible";
                            }
                            try{
                                fila[3] = ofertas.get(i).get("descripcio").toString();
                            }catch (NullPointerException  ex ){
                                fila[3] ="descripció  no disponible";
                            }


                            try{
                                imatges[i] = ofertas.get(i).getParseFile("imatge");
                            }catch (NullPointerException  ex ){

                            }
                            a++;

                        }

                        TextView texto = (TextView) root.findViewById(R.id.texto);
                        texto.setText(fila[0]);
                        TextView texto2 = (TextView) root.findViewById(R.id.textView2);
                        texto2.setText(fila[1]);
                        TextView texto3 = (TextView) root.findViewById(R.id.textView3);
                        texto3.setText(fila[2]);
                        TextView texto4= (TextView) root.findViewById(R.id.textView5);
                        texto4.setText(fila[3]);


                        ParseImageView imageView = (ParseImageView) root.findViewById(R.id.imageView);
                        imageView.setParseFile(imatges[0]);
                        imageView.loadInBackground(new GetDataCallback() {
                            public void done(byte[] data, ParseException e) {
                            } });

                    } else {
                        Toast.makeText(getActivity(), "Aquest municipi no té allotjaments!",
                                Toast.LENGTH_LONG).show();
                    }

                } else {
                    DialogCargando.dismiss();
                    Toast.makeText(getActivity(), "Error en la connexió a la base de dades!",
                            Toast.LENGTH_LONG).show();
                }
            }

        });


        return root;
    }


}
